%define name    tellico
%define pre   %nil
%define version 0.13.8
%define release 1mdk
%define iconname %{name}.png


Summary: A book collection manager
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Source: %{name}-%{version}%{pre}.tar.bz2
URL: http://www.periapsis.org/tellico/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: kdebase libxslt1 >= 1.0.19
BuildRequires: kdelibs-devel libxslt-devel >= 1.0.19
BuildRequires: ImageMagick
BuildRequires: chrpath
BuildRequires: taglib-devel
BuildRequires: libkdemultimedia-kscd-devel
BuildRequires: libcdda-devel
BuildRequires: yaz-devel
Obsoletes: bookcase
Provides: bookcase
 

%description
Tellico is a KDE application for keeping track of your book collection.

Features:

o Supports collections of books, bibliographic entries, videos, or music. 
o Supports any number of user-defined fields, of eight different types:
   o text, paragraph, list, checkbox, year, URL
   o tables of one or two columns.
o Handles books with multiple authors, genres, keywords, etc.
o Automatically formats titles and names
o Supports collection searching and view filtering
o Sorts and groups collection by various properties
o Automatically validates ISBN
o Allows customizable output through XSLT
o Imports Bibtex, Bibtexml, and CSV
o Exports to Bibtex, Bibtexml, CSV, and HTML
o Includes translations for more than nine languages, other than English
o Imports information directly from Amazon.com
   (US, Japan, Germany, and United Kingdom)
o Imports CDDB data
o Scans and imports audio file collections, such as mp3 or ogg
o Imports and exports to Alexandria libraries

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}%{pre}

%build 
 
%configure2_5x --disable-debug --enable-final --disable-rpath --with-xinerama

%make

%install
rm -Rf %{buildroot} 
%makeinstall_std
chrpath -d $RPM_BUILD_ROOT/%{_bindir}/*

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert icons/%{name}.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert icons/%{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname} 
convert icons/%{name}.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

kdedesktop2mdkmenu.pl tellico "Office/Accessories"    %buildroot/%_datadir/applnk/Applications/tellico.desktop                             %buildroot/%_menudir/tellico 
 
#rm  zero-length file
rm -f %buildroot/%{_datadir}/doc/HTML/*/tellico/customization.docbook

%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%doc %dir %{_datadir}/doc/HTML/*/tellico/*
%{_bindir}/* 
%{_datadir}/applnk/Applications/tellico.desktop
%{_datadir}/mimelnk/application/x-tellico.desktop 
%{_datadir}/apps/%{name}/
%{_datadir}/apps/kconf_update/tellico-rename.upd
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_iconsdir}/*/*/*  

%changelog
* Mon Jul 04 2005 Lenny Cartier <lenny@mandriva.com> 0.13.8-1mdk
- 0.13.8

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.13.7-1mdk
- 0.13.7

* Sun Apr 10 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.6-1mdk
- 0.13.6

* Wed Mar 09 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.5-1mdk
- 0.13.5

* Mon Feb 28 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.4-1mdk
- 0.13.4

* Sat Feb 05 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.2-1mdk
- 0.13.2
- buildrequires

* Tue Jan 11 2005 Charles A Edwards <eslrahc@mandrake.org> 0.13.1-1mdk
- 0.13.1

* Tue Oct 19 2004 Charles A Edwards <eslrahc@mandrake.org> 0.12-1mdk
- Renamed to Tellico because of trademark conflict. 
  Tellico 0.12 is identical to Bookcase 0.11, except for the name change.

* Sat Sep 04 2004 Charles A Edwards <eslrahc@mandrake.org> 0.11-1mdk
- 0.11
- update feature list
- add support for CDDB and audio file metadata
- buildrequires

* Tue Aug 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10-1mdk
- 0.10

* Thu Jun 24 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.3-1mdk
- 0.9.3
- reenable libtoolize
- patch for gcc3.4

* Sat May 15 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9.1-1mdk
- 0.9.1

* Tue Apr 20 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-1mdk
- 0.9

* Mon Apr 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.9-0.pre1.1mdk
- 0.9pre1

* Thu Apr 01 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.5-1mdk
- 0.8.5

* Sun Feb 22 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.4-1mdk
- 0.8.4

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Fix menu entry

* Sat Feb 07 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.3-1mdk
- 0.8.3

* Wed Feb 04 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8.1-1mdk
-08.1

* Sun Jan 25 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.8-0.pre1.1mdk
- 0.8pre1
- enable support for Xineram
- fix menu

* Mon Nov 17 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7.1-1mdk
- 0.7.1

* Mon Nov 17 2003 Charles A Edwards <eslrahc@bellsouth.net> 0.7-1mdk
- 0.7
- add marco iconname
- use /bin/true
- add BuildRequire ImageMagick and use for icons
- add feature list
- use make marco
- no need to mkdir /pics it's auto done
- use kdedesktop2mdkmenu for menu
- rm man listing as it does not exist
- use %%doc %%dir for HTML listing

* Thu Sep 18 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.6-1mdk
- Add to Mandrake contribs
- cleanups

* Wed Jun 25 2003 Robby Stephenson <robby@periapsis.org> 0.6.4-1rls
- Version 0.6.4

* Mon May 26 2003 Robby Stephenson <robby@periapsis.org> 0.6.3-1rls
- Version 0.6.3

* Sat May 10 2003 Robby Stephenson <robby@periapsis.org> 0.6.2-1rls
- Version 0.6.2

* Mon May  5 2003 Robby Stephenson <robby@periapsis.org> 0.6.1-1rls
- Version 0.6.1

* Thu Apr  3 2003 Robby Stephenson <robby@periapsis.org> 0.6-1rls
- Version 0.6
- Fix application and mime desktop files

* Sun Mar 23 2003 Robby Stephenson <robby@periapsis.org> 0.5.2a-1rls
- Version 0.5.2a

* Sat Mar 22 2003 Robby Stephenson <robby@periapsis.org> 0.5.2-2rls
- Fix doc files

* Fri Mar 21 2003 Robby Stephenson <robby@periapsis.org> 0.5.2-1rls
- Getting ready for version 0.5.2

* Sat Mar 15 2003 Robby Stephenson <robby@periapsis.org> 0.5.1-1rls
- Version 0.5.1

* Fri Mar 14 2003 Robby Stephenson <robby@periapsis.org> 0.5-1rls
- Version 0.5

* Sun Dec 4 2002 Robby Stephenson <robby@periapsis.org> 0.4.1-1rls
- Version 0.4.1

* Sun Nov 24 2002 Robby Stephenson <robby@periapsis.org> 0.4-1rls
- Fixed so it actually makes an RPM
- Workaround for libtool "unrecognized option --tag=CXX"
- Removed cruft
- Requires libxslt1 >= 1.0.19
- BuildRequires libxslt1-devel >= 1.0.19

* Wed Aug 21 2002  <robby@periapsis.org> 0.3-1rls
- Change to Qt3
- Use png
- Some wording changes

* Wed Oct 17 2001  <robby@radiojodi.com> 0.3-1mdk
- BuildRequires: gcc-c++ libqt

* Thu Oct 11 2001  <robby@radiojodi.com> 0.3-1mdk
- initial spec.in file
